Skip to main content
GET
/
discover
/
{digest}
Discover private referrer
curl --request GET \
  --url https://cp.chainloop.dev/discover/{digest} \
  --header 'Authorization: Bearer <token>'
{
  "result": {
    "downloadable": true,
    "metadata": {
      "key": "metadata"
    },
    "public": true,
    "references": [
      null,
      null
    ],
    "kind": "kind",
    "digest": "digest",
    "created_at": "2000-01-23T04:56:07.000+00:00",
    "annotations": {
      "key": "annotations"
    }
  },
  "pagination": {
    "next_cursor": "next_cursor"
  }
}

Authorizations

Authorization
string
header
required

Bearer token for authentication

Path Parameters

digest
string
required

Digest is the unique identifier of the referrer to discover

Query Parameters

kind
string

Kind is the optional type of referrer, i.e CONTAINER_IMAGE, GIT_HEAD, ... Used to filter and resolve ambiguities

pagination.cursor
string
pagination.limit
integer<int32>

Limit pagination to 100

project_name
string

ProjectName optionally scopes the discovery to a project by name. Can be set on its own (project-wide filter) or together with project_version (project + version filter).

project_version
string

ProjectVersion optionally scopes the discovery to a project version (by name, e.g. v1.2.0). Requires project_name, since a version name is unique only within a project.

Response

A successful response.

Response for the DiscoverPrivate method

result
ReferrerItem · object

It represents a referrer object in the system

Example:
{
"downloadable": true,
"metadata": { "key": "metadata" },
"public": true,
"references": [null, null],
"kind": "kind",
"digest": "digest",
"created_at": "2000-01-23T04:56:07.000+00:00",
"annotations": { "key": "annotations" }
}
pagination
object
Example:
{ "next_cursor": "next_cursor" }